summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2001-12-15 09:28:50 +0000
committerJim Meyering <jim@meyering.net>2001-12-15 09:28:50 +0000
commitae66a6b2b0f0e013828617a1de3c72535a45e19d (patch)
tree4bac1c712782ea0fe96440d8f04a648147462061 /tests
parent686562b5a7cea3a883f91e225b360c232dde8f3f (diff)
downloadcoreutils-ae66a6b2b0f0e013828617a1de3c72535a45e19d.tar.xz
Also accept SunOS4's `Not owner' diagnostic.
Diffstat (limited to 'tests')
-rwxr-xr-xtests/touch/fail-diag10
1 files changed, 9 insertions, 1 deletions
diff --git a/tests/touch/fail-diag b/tests/touch/fail-diag
index f1fd037b6..6e2b49a16 100755
--- a/tests/touch/fail-diag
+++ b/tests/touch/fail-diag
@@ -38,7 +38,15 @@ touch: setting times of `/': Permission denied
touch: creating `/no/such-dir': No such file or directory
EOF
-cmp out exp || fail=1
+cmp out exp || {
+ # On SunOS4, EPERM is `Not owner'
+ cat > exp2 <<\EOF
+touch: setting times of `/': Not owner
+touch: creating `/no/such-dir': No such file or directory
+EOF
+ cmp out exp2 || fail=1
+}
+
test $fail = 1 && diff out exp 2> /dev/null
(exit $fail); exit